Package org.eclipse.lemminx.extensions.filepath.participants

## Class FilePathCompletionResult

- java.lang.Object
- - org.eclipse.lemminx.extensions.filepath.participants.FilePathCompletionResult

    public class FilePathCompletionResult
    extends Object

File path completion result information.

### Constructor Summary

Constructors
`FilePathCompletionResult​(int startOffset, int endOffset, Path baseDir)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FilePathCompletionResult` `create​(String content, String fileUri, int startNodeOffset, int endNodeOffset, int completionOffset, Character separator)` Create the file path completion result.
`Path` `getBaseDir()` Returns the resolved base directory of the declared path.
`int` `getEndOffset()` Returns the end offset of the last path declared (ex :
`int` `getStartOffset()` Returns the start offset of the last path declared (ex :

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilePathCompletionResult

    public FilePathCompletionResult​(int startOffset,
                                    int endOffset,
                                    Path baseDir)

### Method Detail

#### getStartOffset

    public int getStartOffset()

Returns the start offset of the last path declared (ex :

Returns:
  the start offset of the last path declared.

#### getEndOffset

    public int getEndOffset()

Returns the end offset of the last path declared (ex :

Returns:
  the end offset of the last path declared.

#### getBaseDir

    public Path getBaseDir()

Returns the resolved base directory of the declared path.

Ex :

the method will return 'file://C:/path/to'

Returns:
  the resolved base directory of the declared path.

#### create

    public static FilePathCompletionResult create​(String content,
                                                  String fileUri,
                                                  int startNodeOffset,
                                                  int endNodeOffset,
                                                  int completionOffset,
                                                  Character separator)

Create the file path completion result.

Parameters:
  `content` - the xml content.
  `fileUri` - the file Uri.
  `startNodeOffset` - the start node offset where file path is declared.
  `endNodeOffset` - the end node offset where file path is declared.
  `completionOffset` - the completion offset.
  `separator` - the separator used to declare multiple files and null otherwise.
Returns:
  the file path completion result.